OpenNMS API 1.2.9

## org.opennms.netmgt.config.poller
Class Outage

    java.lang.Object
      org.opennms.netmgt.config.poller.Outage

All Implemented Interfaces:
  java.io.Serializable

public class Outage
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList` `_interfaceList`
`private java.lang.String` `_name`
`private java.util.ArrayList` `_nodeList`
`private java.util.ArrayList` `_timeList`
`private java.lang.String` `_type`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Outage()`

Method Summary
`void` `addInterface(Interface vInterface)`
`void` `addInterface(int index, Interface vInterface)`
`void` `addNode(int index, Node vNode)`
`void` `addNode(Node vNode)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addTime(int index, Time vTime)`
`void` `addTime(Time vTime)`
`void` `clearInterface()`
`void` `clearNode()`
`void` `clearTime()`
`java.util.Enumeration` `enumerateInterface()`
`java.util.Enumeration` `enumerateNode()`
`java.util.Enumeration` `enumerateTime()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`Interface[]` `getInterface()`
`Interface` `getInterface(int index)`
`java.util.Collection` `getInterfaceCollection()`
`int` `getInterfaceCount()`
`java.lang.String` `getName()` Returns the value of field 'name'.
`Node[]` `getNode()`
`Node` `getNode(int index)`
`java.util.Collection` `getNodeCollection()`
`int` `getNodeCount()`
`Time[]` `getTime()`
`Time` `getTime(int index)`
`java.util.Collection` `getTimeCollection()`
`int` `getTimeCount()`
`java.lang.String` `getType()` Returns the value of field 'type'.
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeInterface(Interface vInterface)`
`boolean` `removeNode(Node vNode)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeTime(Time vTime)`
`void` `setInterface(Interface[] _interfaceArray)`
`void` `setInterface(int index, Interface vInterface)`
`void` `setInterfaceCollection(java.util.Collection vInterface)`
`void` `setName(java.lang.String name)` Sets the value of field 'name'.
`void` `setNode(int index, Node vNode)`
`void` `setNode(Node[] nodeArray)`
`void` `setNodeCollection(java.util.Collection vNode)`
`void` `setTime(int index, Time vTime)`
`void` `setTime(Time[] timeArray)`
`void` `setTimeCollection(java.util.Collection vTime)`
`void` `setType(java.lang.String type)` Sets the value of field 'type'.
`static Outage` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _name

    private java.lang.String _name

### _type

    private java.lang.String _type

### _timeList

    private java.util.ArrayList _timeList

### _interfaceList

    private java.util.ArrayList _interfaceList

### _nodeList

    private java.util.ArrayList _nodeList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Outage

    public Outage()

Method Detail

### addInterface

    public void addInterface(Interface vInterface)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vInterface` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addInterface

    public void addInterface(int index,
                             Interface vInterface)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vInterface` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addNode

    public void addNode(Node vNode)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vNode` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addNode

    public void addNode(int index,
                        Node vNode)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vNode` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addTime

    public void addTime(Time vTime)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vTime` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addTime

    public void addTime(int index,
                        Time vTime)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vTime` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearInterface

    public void clearInterface()

### clearNode

    public void clearNode()

### clearTime

    public void clearTime()

### enumerateInterface

    public java.util.Enumeration enumerateInterface()

### enumerateNode

    public java.util.Enumeration enumerateNode()

### enumerateTime

    public java.util.Enumeration enumerateTime()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getInterface

    public Interface getInterface(int index)
                           throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getInterface

    public Interface[] getInterface()

### getInterfaceCollection

    public java.util.Collection getInterfaceCollection()

### getInterfaceCount

    public int getInterfaceCount()

### getName

    public java.lang.String getName()

  Returns the value of field 'name'.

  Returns:
    the value of field 'name'.

### getNode

    public Node getNode(int index)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getNode

    public Node[] getNode()

### getNodeCollection

    public java.util.Collection getNodeCollection()

### getNodeCount

    public int getNodeCount()

### getTime

    public Time getTime(int index)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getTime

    public Time[] getTime()

### getTimeCollection

    public java.util.Collection getTimeCollection()

### getTimeCount

    public int getTimeCount()

### getType

    public java.lang.String getType()

  Returns the value of field 'type'.

  Returns:
    the value of field 'type'.

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeInterface

    public boolean removeInterface(Interface vInterface)

  Parameters:
    `vInterface` -

### removeNode

    public boolean removeNode(Node vNode)

  Parameters:
    `vNode` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeTime

    public boolean removeTime(Time vTime)

  Parameters:
    `vTime` -

### setInterface

    public void setInterface(int index,
                             Interface vInterface)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vInterface` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setInterface

    public void setInterface(Interface[] _interfaceArray)

  Parameters:
    `_interfaceArray` -

### setInterfaceCollection

    public void setInterfaceCollection(java.util.Collection vInterface)

  Parameters:
    `vInterface` -

### setName

    public void setName(java.lang.String name)

  Sets the value of field 'name'.

  Parameters:
    `name` - the value of field 'name'.

### setNode

    public void setNode(int index,
                        Node vNode)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vNode` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setNode

    public void setNode(Node[] nodeArray)

  Parameters:
    `nodeArray` -

### setNodeCollection

    public void setNodeCollection(java.util.Collection vNode)

  Parameters:
    `vNode` -

### setTime

    public void setTime(int index,
                        Time vTime)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vTime` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setTime

    public void setTime(Time[] timeArray)

  Parameters:
    `timeArray` -

### setTimeCollection

    public void setTimeCollection(java.util.Collection vTime)

  Parameters:
    `vTime` -

### setType

    public void setType(java.lang.String type)

  Sets the value of field 'type'.

  Parameters:
    `type` - the value of field 'type'.

### unmarshal

    public static Outage unmarshal(java.io.Reader reader)
                            throws org.exolab.castor.xml.MarshalException,
                                   org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.